Bug 447449 - vm_applet doesn't see running VMs
vm_applet doesn't see running VMs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applet-vm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2008-05-19 18:56 EDT by Martin Ebourne
Modified: 2010-04-27 12:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 12:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Ebourne 2008-05-19 18:56:29 EDT
Description of problem:
When a VM is active vm_applet doesn't display it.

Version-Release number of selected component (if applicable):
gnome-applet-vm-0.2.0-2.fc9.x86_64
libvirt-0.4.2-1.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Click vm_applet
2. See list of stopped VMs
3. Click on a VM
  
Actual results:
VM is started but disappears from list

Expected results:
VM start but stays in list with a green icon or something. Should also be able
to stop the vm from there.

Additional info:
Also is there a way to get the console opened from vm_applet? It starts the vm
but I have to use virt-manager to open the display which makes the applet
somewhat pointless.

Running with selinux disabled due to bug #447448
Comment 1 Matthew Booth 2008-06-09 16:52:22 EDT
I also see this. To expand, the applet *does* show running VMs, but only if all
listed VMs are running.
Comment 2 Fedora Admin XMLRPC Client 2009-02-11 12:24:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Martin Ebourne 2009-04-14 17:22:50 EDT
This bug is still present in Fedora 11 preview.
Comment 4 Mark McLoughlin 2009-04-20 07:41:23 EDT
Indeed - seems like a pretty obvious bug which would be worth fixing for F11
Comment 5 Cole Robinson 2009-04-20 09:14:59 EDT
Sorry, gnome-vm-applet has fallen into a pretty sad state of disrepair. I'll take some time this week to fix up these bugs.
Comment 6 Martin Ebourne 2009-05-17 18:16:16 EDT
Is there anything to test on this yet? The last koji build appears to be from feb.
Comment 7 Bug Zapper 2009-06-09 05:35:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Luke Sheldrick 2009-06-14 19:14:40 EDT
Still seeing this in F11, would be great to get this fixed.

Seems a non-brainer.

If you need anyone to test, happy to assist.
Comment 9 Bug Zapper 2010-04-27 08:04:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Cole Robinson 2010-04-27 12:21:32 EDT
gnome-applet-vm is dead upstream, and no bugs will be fixed in F11. virt-manager provides an applet in F12+ which obsoletes gnome-applet-vm. Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.